summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2020-04-23 13:44:16 +0200
committerAndreas Sturmlechner <asturm@gentoo.org>2020-04-24 00:06:57 +0200
commit5043c084d0ad5602928e06651e29281521f39adb (patch)
tree2d86ac68dcfe73348fa3a69769e5137204569e72 /kde-misc
parentkde-misc/kio-gdrive: 1.3.0 version bump (diff)
downloadgentoo-5043c084d0ad5602928e06651e29281521f39adb.tar.gz
gentoo-5043c084d0ad5602928e06651e29281521f39adb.tar.bz2
gentoo-5043c084d0ad5602928e06651e29281521f39adb.zip
kde-misc/kio-gdrive: Pin 1.2.7 to =kde-apps/*-19.12*
Package is not compatible with newer versions of libkgapi/kaccounts-integration. Package-Manager: Portage-2.3.99, Repoman-2.3.22 Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
Diffstat (limited to 'kde-misc')
-rw-r--r--kde-misc/kio-gdrive/kio-gdrive-1.2.7-r1.ebuild52
1 files changed, 52 insertions, 0 deletions
diff --git a/kde-misc/kio-gdrive/kio-gdrive-1.2.7-r1.ebuild b/kde-misc/kio-gdrive/kio-gdrive-1.2.7-r1.ebuild
new file mode 100644
index 00000000000..e7eb5ed98d4
--- /dev/null
+++ b/kde-misc/kio-gdrive/kio-gdrive-1.2.7-r1.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+ECM_HANDBOOK="forceoptional"
+ECM_TEST="optional"
+KFMIN=5.60.0
+QTMIN=5.12.3
+inherit ecm kde.org
+
+DESCRIPTION="KIO Slave for Google Drive service"
+HOMEPAGE="https://phabricator.kde.org/project/profile/72/"
+
+if [[ ${KDE_BUILD_TYPE} != live ]] ; then
+ SRC_URI="mirror://kde/stable/${PN}/${PV}/src/${P}.tar.xz"
+ KEYWORDS="amd64 ~arm64 x86"
+fi
+
+LICENSE="GPL-2+"
+SLOT="5"
+IUSE="+kaccounts"
+
+BDEPEND="dev-util/intltool"
+COMMON_DEPEND="
+ >=dev-qt/qtwidgets-${QTMIN}:5
+ =kde-apps/libkgapi-19.12*:5
+ >=kde-frameworks/kcoreaddons-${KFMIN}:5
+ >=kde-frameworks/ki18n-${KFMIN}:5
+ >=kde-frameworks/kio-${KFMIN}:5
+ >=kde-frameworks/knotifications-${KFMIN}:5
+ kaccounts? ( =kde-apps/kaccounts-integration-19.12*:5 )
+ !kaccounts? ( dev-libs/qtkeychain:=[qt5(+)] )
+"
+DEPEND="${COMMON_DEPEND}
+ >=dev-qt/qtgui-${QTMIN}:5
+ >=dev-qt/qtnetwork-${QTMIN}:5
+"
+RDEPEND="${COMMON_DEPEND}
+ kaccounts? ( >=kde-apps/kaccounts-providers-19.08.0:5 )
+"
+
+DOCS=( README.md )
+
+PATCHES=( "${FILESDIR}"/${PN}-1.2.6-refresh-credentials.patch )
+
+src_configure() {
+ local mycmakeargs=(
+ $(cmake_use_find_package kaccounts KAccounts)
+ )
+ ecm_src_configure
+}